<?php
  
/*
---------------------
Страница пользователя
---------------------
*/
  
$account = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");

IF (!$account['ID']){
  
  ERROR('Такого пользователя не существует', 'session');
  REDIRECT('/');

}

$account_settings = DB::GET_STRING("SELECT * FROM `USERS_SETTINGS` WHERE `USER_ID` = '".$account['ID']."' LIMIT 1");

IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$account['ID']."' AND `BAN_TIME` > '".TIME()."' LIMIT 1") == 1 || DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$account['ID']."' AND `BAN` = '1' LIMIT 1") == 1){
  
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($account['LOGIN'])."";
  ECHO "</div>"; 
  
  ECHO "<div class='list'>";
  
  ECHO "<center>".ICONS('ban', 70)."<br /><font size='+1'>".LG('Пользователь заблокирован. Возможно, это временно.')."</font></center><br />";
  
  ECHO "</div>"; 
  
}ELSE{
  
  ECHO "<div class='list-body' style='table-layout: fixed;'>"; 
  
  //Заставка
  REQUIRE (ROOT.'/users/profile/account/plugins/screensaver.php');
  
  //Информация о пользователе
  REQUIRE (ROOT.'/users/profile/account/plugins/info.php');

  //Статус
  REQUIRE (ROOT.'/users/profile/account/plugins/status.php');

  ECHO "</div>";

  //Действия
  REQUIRE (ROOT.'/users/profile/account/plugins/info_actions.php');
  
  //Информация из анкеты
  REQUIRE (ROOT.'/users/profile/account/plugins/form.php');

  //Фото-лист
  REQUIRE (ROOT.'/users/profile/account/plugins/photo_list.php');
  
  //Подгрузка других плагинов
  DIRECT::COMPONENTS(ROOT.'/users/profile/account/plugins/_plugins/', 0);
  
  //Список меню
  REQUIRE (ROOT.'/users/profile/account/plugins/menu_list.php');
  
}

//Действия над пользователем
REQUIRE (ROOT.'/users/profile/account/plugins/user.php');
  
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($account['LOGIN'])."";
ECHO "</div>";  
  
?>